Subject: Re: bug#55579: 29.0.50; Abbrevs not saved on exit anymore

From: Juri Linkov <[email-masked]>
Date: Wed, 25 May 2022 20:34:53 +0300

>> >> > Save abbrevs in ~/.emacs.d/abbrev_defs?
>> >>
>> >> BTW, I noticed that ~/.emacs.d/abbrev_defs
>> >> is visited without font-locking.  Here's the fix:
>> >
>> > Won't that make loading abbrevs slower and more expensive?  that file
>> > is normally not edited interactively, only if the user explicitly
>> > wants to do so.  So why is font-lock in it important?
>>
>> This is part of recent efforts to add modes to .emacs.d files.
>> So far we added the mode tag to ~/.emacs.d/bookmarks, ~/.emacs.d/tramp,
>> ~/.emacs.d/.emacs.desktop, ~/.emacs.d/network-security.data,
>> ~/.emacs.d/places, ~/.emacs.d/projects.  But mode is still missing
>> in ~/.emacs.d/abbrev_defs and ~/.emacs.d/recentf.
>
> We don't need to do that for all of the files, only for files that are
> frequently (or always) visited or edited interactively by users.  So
> I'm asking this question specifically for abbrev_defs, not for all the
> other files there: why do we need this, and how significant is the
> reason?

Of course, it's visited frequently.  This is necessary to see
what abbreviations are defined.